﻿-- Author      : Nogarder
-- Create Date : 2010/7/4 16:33:11

if(NPA_Core:CheckHook("ScrollText"))then

local Localization={}
local Tooltips={}
local locale=GetLocale()
local table_insert = table.insert
local pairs = pairs
local Tooltips={}

if(locale=="zhTW")then
	Localization={
		["PageName"]="戰鬥文字",
		["UpdateInterval"]="更新間隔(秒)",
		["Show"]="顯示",
		["SpeedX"]="基礎x速度",
		["SpeedY"]="基礎y速度",
		["AccX"]="x加速度",
		["AccY"]="y加速度",
		["Life"]="存活時間(秒)",
		["Melee"]="近戰普通傷害",
		["Range"]="遠程普通傷害",
		["Spell"]="法術傷害",
		["Miss"]="未擊中",
		["Aura"]="獲得/失去效果",
		["Heal"]="治療",
		["Dot"]="持續傷害",
		["Interrupt"]="打斷/驅散",
		["ShowCaster"]="施法者姓名",
		["ShowSelf"]="標記我的法術",
		["ShowSpellName"]="法術名稱",
		["ShowMySelf"]="來源於我的",
		["ShowOther"]="來源於它人的",
		["ShowSpellRank"]="法術等級",
		["Max"]="最大數量",
		["ShowHostile"]="敵對時",
		["ShowNonHostile"]="非敵對時",
		["ShowFocus"]="來自focus",
		["ShowToFocus"]="對focus",
		["ShowAbsorb"]="吸收/過量",
		["HideByFrame"]="隨框體隱藏",
		["AlphaByFrame"]="隨框體透明",
		["OffsetX"]="X偏移",
		["OffsetY"]="Y偏移",
		["SpreadX"]="X擴散範圍",
		["SpreadY"]="Y擴散範圍",
		["StickCrit"]="粘滯暴擊",
		["ShakeCrit"]="晃動暴擊",
		["OnSelf"]="對我自己",
		["ShowTarget"]="來自目標",
		["ShowToTarget"]="對目標",
		["Energized"]="獲得能量",
		["Icon"]="圖標",
		["Text"]="文本",
		["Overlay"]="前景",
		["Background"]="背景",
		["CritIcon"]="暴擊圖標",
		["CritText"]="暴擊文本",
		["CritOverlay"]="暴擊前景",
		["CritBackground"]="暴擊背景",
		["FlyingIcon"]="啟用飛行圖標(只對瞬發有效)",
		["FlyingIconData"]="飛行圖標",
		["FlyingOverlay"]="飛行圖標前景",
		["FlyingBackground"]="飛行圖標背景",
		["HideFullOverHeal"]="隱藏完全過量治療",
	}
	Tooltips={
		["ScrollText"]="顯示單位對應的戰鬥記錄信息(傷害/治療打斷等)"
	}

elseif(locale=="zhCN")then
	Localization={
		["PageName"]="战斗文字",
		["UpdateInterval"]="更新间隔(秒)",
		["Show"]="显示",
		["SpeedX"]="基础x速度",
		["SpeedY"]="基础y速度",
		["AccX"]="x加速度",
		["AccY"]="y加速度",
		["Life"]="存活时间(秒)",
		["Melee"]="近战伤害",
		["Range"]="远程伤害",
		["Spell"]="法术伤害",
		["Miss"]="未击中",
		["Aura"]="获得/失去效果",
		["Heal"]="治疗",
		["Dot"]="持续伤害",
		["Interrupt"]="打断/驱散",
		["ShowCaster"]="施法者姓名",
		["ShowSelf"]="标记我的法术",
		["ShowSpellName"]="法术名称",
		["ShowMySelf"]="来源于我",
		["ShowOther"]="来源于它人",
		["ShowSpellRank"]="法术等级",
		["Max"]="最大数量",
		["ShowHostile"]="敌对時",
		["ShowNonHostile"]="非敌对時",
		["ShowFocus"]="来自focus",
		["ShowToFocus"]="对focus",
		["ShowAbsorb"]="吸收/过量",
		["HideByFrame"]="随框体隐藏",
		["AlphaByFrame"]="随框体透明",
		["OffsetX"]="X偏移",
		["OffsetY"]="Y偏移",
		["SpreadX"]="X扩散范围",
		["SpreadY"]="Y扩散范围",
		["StickCrit"]="粘滞暴击",
		["ShakeCrit"]="晃动暴击",
		["OnSelf"]="对我自己",
		["ShowTarget"]="来自目标",
		["ShowToTarget"]="对目标",
		["Energized"]="获得能量",
		["Icon"]="图标",
		["Text"]="文本",
		["Overlay"]="前景",
		["Background"]="背景",
		["CritIcon"]="暴击图标",
		["CritText"]="暴击文本",
		["CritOverlay"]="暴击前景",
		["CritBackground"]="暴击背景",
		["FlyingIcon"]="启用飞行图标(只对瞬发有效)",
		["FlyingIconData"]="飞行图标",
		["FlyingOverlay"]="飞行图标前景",
		["FlyingBackground"]="飞行图标背景",
		["HideFullOverHeal"]="隐藏完全过量治疗",
	}
	Tooltips={
		["ScrollText"]="显示单位对应的战斗记录信息(伤害/治疗/光环/打断)"
	}

else
	Localization={
		["PageName"]="ScrollText",
		["UpdateInterval"]="Update interval (Second)",
		["Show"]="Show",
		["SpeedX"]="Basic x speed",
		["SpeedY"]="Basic y speed",
		["AccX"]="Acceleration on x",
		["AccY"]="Acceleration on y",
		["Life"]="Life time (Second)",
		["Max"]="Max number",
		["Melee"]="Melee damage",
		["Range"]="Range damage",
		["Spell"]="Spell damage",
		["Miss"]="Miss",
		["Aura"]="Aura gain/lose",
		["Heal"]="Heal",
		["Dot"]="Dot damage",
		["Interrupt"]="Interrupt/Dispel",
		["ShowCaster"]="Caster's name",
		["ShowSelf"]="Mark mine",
		["ShowSpellName"]="Spell name",
		["ShowMySelf"]="From myself",
		["ShowOther"]="From other",
		["ShowSpellRank"]="Spell rank",
		["ShowHostile"]="On hostile",
		["ShowNonHostile"]="On non-hostile",
		["ShowFocus"]="From focus",
		["ShowToFocus"]="On focus",
		["ShowAbsorb"]="Absorb/overkill amount",
		["HideByFrame"]="Hide with frame",
		["AlphaByFrame"]="Alpha with frame",
		["OffsetX"]="Offset X",
		["OffsetY"]="Offset Y",
		["SpreadX"]="Spread range X",
		["SpreadY"]="Spread range Y",
		["StickCrit"]="Stick crit",
		["ShakeCrit"]="Shake crit",
		["OnSelf"]="On myself",
		["ShowTarget"]="From target",
		["ShowToTarget"]="On target",
		["Energized"]="Enegrized",
		["Icon"]="Icon",
		["Text"]="Text",
		["Overlay"]="Overlay",
		["Background"]="Background",
		["CritIcon"]="Crit icon",
		["CritText"]="Crit text",
		["CritOverlay"]="Crit overlay",
		["CritBackground"]="Crit background",
		["FlyingIcon"]="Enable flying icon(Instant spell only)",
		["FlyingIconData"]="Flying icon",
		["FlyingOverlay"]="Flying icon overlay",
		["FlyingBackground"]="Flying icon background",
		["HideFullOverHeal"]="Hide full over heal",
	}

	Tooltips={
		["ScrollText"]="Show combat log info for unit (damage/heal/aura/inturrept)"
	}

end


local mainframe=NPA_Options:AddPage("NPA_Options_ScrollText",Localization["PageName"],"ScrollText",Tooltips["ScrollText"])

local Options=mainframe.Options

local sliderlist={
	["ScrollText_UpdateInterval"]={
		Name=Localization["UpdateInterval"],
		Min=0.01,
		Max=1,
		Step=0.01,
		Width=280,
		OffsetX=20,
		OffsetY=-5
	},
	["ScrollText_OffsetX"]={
		Name=Localization["OffsetX"],
		Min=-150,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=20,
		OffsetY=-45
	},
	["ScrollText_OffsetY"]={
		Name=Localization["OffsetY"],
		Min=-150,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=190,
		OffsetY=-45
	},
	["ScrollText_SpeedX"]={
		Name=Localization["SpeedX"],
		Min=-150,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=20,
		OffsetY=-85
	},
	["ScrollText_SpeedY"]={
		Name=Localization["SpeedY"],
		Min=-150,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=190,
		OffsetY=-85
	},
	["ScrollText_SpreadX"]={
		Name=Localization["SpreadX"],
		Min=0,
		Max=300,
		Step=1,
		Width=140,
		OffsetX=20,
		OffsetY=-125
	},
	["ScrollText_SpreadY"]={
		Name=Localization["SpreadY"],
		Min=0,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=190,
		OffsetY=-125
	},
	["ScrollText_AccX"]={
		Name=Localization["AccX"],
		Min=-150,
		Max=150,
		Step=1,
		Width=140,
		OffsetX=20,
		OffsetY=-165
	},
	["ScrollText_AccY"]={
		Name=Localization["AccY"],
		Min=-150,
		Max=15,
		Step=1,
		Width=140,
		OffsetX=190,
		OffsetY=-165
	},
	["ScrollText_Life"]={
		Name=Localization["Life"],
		Min=0,
		Max=5,
		Step=0.1,
		Width=140,
		OffsetX=20,
		OffsetY=-205
	},
	["ScrollText_Max"]={
		Name=Localization["Max"],
		Min=1,
		Max=600,
		Step=1,
		Width=140,
		OffsetX=190,
		OffsetY=-205
	}
}

NPA_Options:BuildSliderList("NPA_Options_ScrollText",mainframe,sliderlist,Options)



NPA_Options:CreateSliderEditButton(Localization["Icon"],mainframe,"ScrollText_IconData",3,Options,9)
NPA_Options:CreateSliderEditButton(Localization["Overlay"],mainframe,"ScrollText_OverlayData",3,Options,10)
NPA_Options:CreateSliderEditButton(Localization["Background"],mainframe,"ScrollText_BackgroundData",3,Options,11)
NPA_Options:CreateSliderEditButton(Localization["Text"],mainframe,"ScrollText_TextData",2,Options,12)

NPA_Options:CreateSliderEditButton(Localization["CritIcon"],mainframe,"ScrollText_CritIconData",3,Options,9,1)
NPA_Options:CreateSliderEditButton(Localization["CritOverlay"],mainframe,"ScrollText_CritOverlayData",3,Options,10,1)
NPA_Options:CreateSliderEditButton(Localization["CritBackground"],mainframe,"ScrollText_CritBackgroundData",3,Options,11,1)
NPA_Options:CreateSliderEditButton(Localization["CritText"],mainframe,"ScrollText_CritTextData",2,Options,12,1)


NPA_Options:CreateSliderEditButton(Localization["FlyingIconData"],mainframe,"ScrollText_FlyingIconData",3,Options,14)
NPA_Options:CreateSliderEditButton(Localization["FlyingOverlay"],mainframe,"ScrollText_FlyingOverlayData",3,Options,15)
NPA_Options:CreateSliderEditButton(Localization["FlyingBackground"],mainframe,"ScrollText_FlyingBackgroundData",3,Options,16)
---------------------
local listframe=NPA_Options:CreateFrame("NPA_Options_ScrollText_Filter",mainframe,Localization["Show"])
listframe:SetPoint("TOPRIGHT",-6,-5)
listframe:SetWidth(200)

local checkboxdata={
	["ScrollText_Filter_Melee"]=Localization["Melee"],
	["ScrollText_Filter_Range"]=Localization["Range"],
	["ScrollText_Filter_Spell"]=Localization["Spell"],
	["ScrollText_Filter_Dot"]=Localization["Dot"],
	["ScrollText_Filter_Miss"]=Localization["Miss"],
	["ScrollText_Filter_Aura"]=Localization["Aura"],
	["ScrollText_Filter_Heal"]=Localization["Heal"],
	["ScrollText_Filter_Interrupt"]=Localization["Interrupt"],
	["ScrollText_Filter_Energized"]=Localization["Energized"],
	["ScrollText_Filter_Absorb"]=Localization["ShowAbsorb"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_ScrollText",listframe,21,checkboxdata,16,Options,1)


local listframe3=NPA_Options:CreateFrame("NPA_Options_ScrollText_Filter2",mainframe)
listframe3:SetPoint("TOPLEFT",listframe,"BOTTOMLEFT",0,3)
listframe3:SetPoint("TOPRIGHT",listframe,"BOTTOMRIGHT",0,3)

local checkboxdata={
	["ScrollText_Filter_ShowSpellName"]=Localization["ShowSpellName"],
	["ScrollText_Filter_ShowSpellRank"]=Localization["ShowSpellRank"],
	["ScrollText_Filter_ShowCaster"]=Localization["ShowCaster"],
	["ScrollText_Filter_ShowSelf"]=Localization["ShowSelf"],
	["ScrollText_Filter_StickCrit"]=Localization["StickCrit"],
	["ScrollText_Filter_ShakeCrit"]=Localization["ShakeCrit"],
	["ScrollText_HideFullOverHeal"]=Localization["HideFullOverHeal"]

}
NPA_Options:BuildCheckBoxList("NPA_Options_ScrollText",listframe3,21,checkboxdata,16,Options,1)


local listframe2=NPA_Options:CreateFrame("NPA_Options_ScrollText_Filter2",mainframe)
listframe2:SetPoint("TOPLEFT",listframe3,"BOTTOMLEFT",0,3)
listframe2:SetPoint("TOPRIGHT",listframe3,"TOPRIGHT",0,3)

local checkboxdata={
	["ScrollText_Filter_ShowMySelf"]=Localization["ShowMySelf"],
	["ScrollText_Filter_ShowOther"]=Localization["ShowOther"],
	["ScrollText_Filter_ShowFocus"]=Localization["ShowFocus"],
	["ScrollText_Filter_ShowTarget"]=Localization["ShowTarget"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_ScrollText",listframe2,21,checkboxdata,16,Options,1)

local listframe4=NPA_Options:CreateFrame("NPA_Options_ScrollText_Filter2",mainframe)
listframe4:SetPoint("TOPLEFT",listframe2,"BOTTOMLEFT",0,3)
listframe4:SetPoint("TOPRIGHT",listframe2,"BOTTOMRIGHT",0,3)

local checkboxdata={
	["ScrollText_Filter_ShowHostile"]=Localization["ShowHostile"],
	["ScrollText_Filter_ShowNonHostile"]=Localization["ShowNonHostile"],
	["ScrollText_Filter_ShowToFocus"]=Localization["ShowToFocus"],
	["ScrollText_Filter_ShowToTarget"]=Localization["ShowToTarget"],
	["ScrollText_Filter_ShowOnSelf"]=Localization["OnSelf"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_ScrollText",listframe4,21,checkboxdata,16,Options,1)

local listframe5=NPA_Options:CreateFrame("NPA_Options_ScrollText_Filter2",mainframe)
listframe5:SetPoint("TOPLEFT",listframe4,"BOTTOMLEFT",0,3)
listframe5:SetPoint("TOPRIGHT",listframe4,"BOTTOMRIGHT",0,3)

local checkboxdata={
	["ScrollText_HideByFrame"]=Localization["HideByFrame"],
	["ScrollText_AlphaByFrame"]=Localization["AlphaByFrame"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_ScrollText",listframe5,21,checkboxdata,16,Options,1)

local listframe6=NPA_Options:CreateFrame("NPA_Options_ScrollText_Filter2",mainframe)
listframe6:SetPoint("TOPLEFT",listframe5,"BOTTOMLEFT",0,3)
listframe6:SetPoint("TOPRIGHT",listframe5,"BOTTOMRIGHT",0,3)

local checkboxdata={
	["ScrollText_FlyingIcon"]=Localization["FlyingIcon"],
}

NPA_Options:BuildCheckBoxList("NPA_Options_ScrollText",listframe6,21,checkboxdata,16,Options,1)

end